using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BinTool
{
    /// <summary>
    /// BCalc
    /// Kerry D. Wong, 2010
    /// http://www.kerrywong.com
    /// </summary>
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void BtnCalculate_Click(object sender, EventArgs e)
        {
            long num1 = BitSettingControl1.DecNumber;
            long num2 = BitSettingControl2.DecNumber;
            long num3 = 0;

            if (RdoAnd.Checked) {
                num3 = num1 & num2;
            }
            else if (RdoOr.Checked)
            {
                num3 = num1 | num2;
            }
            else if (RdoXor.Checked)
            {
                num3 = num1 ^ num2;
            }

            BitSettingControl3.DecNumber = num3;
        }
    }
}